For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • POSTCreate Property: Realpage - Not Supported
        • PUTUpdate Property: Realpage - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage Registered VendorProperties

Get all properties

GET
/v1/properties/
GET
/v1/properties/
$curl https://api.propexo.com/v1/properties/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "address_1": "501 Murphy Ranch Rd Apt 158",
14 "address_2": "Building B",
15 "associated_owner_ids": [
16 "owner_987654321"
17 ],
18 "building_number": "1",
19 "city": "Milpitas",
20 "code": null,
21 "country": "US",
22 "county": "Santa Clara County",
23 "created_at": "2024-03-21T15:38:08.337Z",
24 "custom_data": {},
25 "id": "clwktsp9v000008l31iv218hn",
26 "integration_id": "clwh5u07w000508me66sfh3um",
27 "integration_vendor": "REALPAGE",
28 "is_active": null,
29 "last_seen": "2024-03-22T10:59:45.119Z",
30 "long_description": null,
31 "manager_email": "manager@sunsetvillas.com",
32 "manager_name": null,
33 "manager_phone_1": "+1-408-555-1234",
34 "manager_phone_1_type": null,
35 "manager_phone_2": "+1-408-555-5678",
36 "manager_phone_2_type": null,
37 "name": "Sunset Villas Apartments",
38 "notes": null,
39 "number_of_units": null,
40 "office_hours": [
41 {
42 "day_of_week": "MONDAY",
43 "open_time": "09:00",
44 "close_time": "17:00"
45 },
46 {
47 "day_of_week": "TUESDAY",
48 "open_time": "09:00",
49 "close_time": "17:00"
50 },
51 {
52 "day_of_week": "WEDNESDAY",
53 "open_time": "09:00",
54 "close_time": "17:00"
55 },
56 {
57 "day_of_week": "THURSDAY",
58 "open_time": "09:00",
59 "close_time": "17:00"
60 },
61 {
62 "day_of_week": "FRIDAY",
63 "open_time": "09:00",
64 "close_time": "17:00"
65 }
66 ],
67 "pet_types": [
68 {
69 "name": "Dog",
70 "is_allowed": true,
71 "description": "Dogs up to 50 lbs allowed",
72 "notes": "No aggressive breeds",
73 "deposit_raw": "$300",
74 "deposit_in_cents": 30000,
75 "fee_raw": "$25",
76 "fee_in_cents": 2500,
77 "fee_min_raw": "$25",
78 "fee_min_in_cents": 2500,
79 "fee_max_raw": "$50",
80 "fee_max_in_cents": 5000,
81 "rent_amount_raw": "$40",
82 "rent_amount_in_cents": 4000
83 }
84 ],
85 "property_id": "clwi5xiix000008l6ctdgafyh",
86 "short_description": null,
87 "square_feet": 85000,
88 "state": "CA",
89 "type_normalized": null,
90 "type_raw": null,
91 "updated_at": "2024-03-22T10:59:45.119Z",
92 "website": "https://www.sunsetvillas.com",
93 "x_building_id": "1",
94 "x_created_at": null,
95 "x_id": "5213123",
96 "x_property_id": "5213124",
97 "year_built": null,
98 "zip": "95035-7937",
99 "square_footage": null,
100 "street_address_1": null,
101 "street_address_2": null,
102 "type": null
103 }
104 ]
105}
Get all properties
Was this page helpful?
Previous

Get a property by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external property id
x_property_idstringOptional

Deprecated: Use x_id instead

location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the property.
is_activeboolean or string or nullOptional
Active status of the property in the PMS. Please note this is a separate value to the property's status in Propexo which can be fetched using the 'Get all my property configurations' endpoint.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error